gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Label A widget that displays an accelerator key on the right of the text.

The widget is a subclass of that also displays an accelerator key on the right of the label text. The widget is commonly used in menus to show the keyboard shortcuts for commands.

The accelerator key to display is not set explicitly instead, the displays the accelerators which have been added to a particular widget. This widget is set by calling .

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  The accelerator label.
  Creates an accelerator label.
- Property
  2.12.0.0
  GLib.Property("accel-closure")
  System.IntPtr Sets the closure to be monitored by this accelerator label. A

  Sets the closure to be monitored by this accelerator label. The closure must be connected to an accelerator group. See .

- Property
  2.12.0.0
  GLib.Property("accel-widget")
  Gtk.Widget Fetches the widget monitored by this accelerator label. The object monitored by the accelerator label, or

  Fetches the widget monitored by this accelerator label.

- Property
  2.12.0.0
  System.UInt32 Returns the width needed to display the accelerator key(s). The width needed to display the accelerator key(s)

  Returns the width needed to display the accelerator key(s). This is used by menus to align all of the widgets, and shouldn't be needed by applications.

- Property
  2.12.0.0
  GLib.GType The GLib Type assigned to this class. a Used internally.
- Method
  2.12.0.0
  System.Boolean Recreates the string representing the accelerator keys. Default, since the strings are updated this is not needed

  Recreates the string representing the accelerator keys. This should not be needed since the string is automatically updated whenever accelerators are added or removed from the associated widget.